header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 1000000000;
    background: rgba(255, 255, 255, 0.8);
	padding: 1em;
}

.logo {
    font-size: 2em;
    color: #1e1e74;
    pointer-events: none;
}

.burger {
    display: none;
    flex-direction: column;
    cursor: pointer;
}

.line {
    width: 25px;
    height: 3px;
    background: #1e1e74;
    margin: 4px;
    transition: transform 0.3s ease;
}

.burger.active .line:nth-child(1) {
    transform: rotate(45deg) translate(5px, 5px);
}

.burger.active .line:nth-child(2) {
    opacity: 0;
}

.burger.active .line:nth-child(3) {
    transform: rotate(-45deg) translate(5px, -5px);
}

.navigation {
    display: flex;
    justify-content: center;
}

.navigation a {
    text-decoration: none;
    color: #1e1e74;
    padding: 0.5em 1em;
    border-radius: 1em;
    margin: 0.5em;
    font-weight: 600;

    transition: opacity 0.3s ease, transform 0.3s ease; /* Smooth transition for menu items */
    transform: translateY(-10px); /* Start position for animation */
}

.navigation.active a {
    opacity: 1;
    transform: translateY(0);
}

.navigation a:hover,
.navigation a.active {
    background: #1e1e74;
    color: white;
}

.opening-hours {
    color: #1e1e74;
    font-size: 0.9em;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

/* Responsive Anpassungen */
@media (max-width: 768px) {
    header {
        flex-wrap: wrap;
        justify-content: space-between;
        align-items: center;
    }

    .logo {
        font-size: 1.5em;
        margin-bottom: 0.5em;
    }

    .burger {
        display: flex;
    }

    .navigation {
        position: absolute;
        top: 100%; /* Start position for dropdown */
        left: 0;
        width: 100%;
        background: rgba(255, 255, 255, 0.8);
        flex-direction: column;
        text-align: center;
        max-height: 0; /* Start with menu collapsed */
        overflow: hidden;
        transition: max-height 0.3s ease, opacity 0.3s ease; /* Smooth animation for menu */
    }

    .navigation.active {
        max-height: 500px; /* Expand menu height when active */
        opacity: 1;
    }

    .navigation a {
        margin: 1em 0;
    }

    .opening-hours {
        align-items: center;
        text-align: center;
        font-size: 0.8em;
        margin-top: 0.5em;
    }

    .opening-hours .hours {
        justify-content: center;
    }
}

@media (max-width: 480px) {
    .logo {
        font-size: 1.2em;
    }

    .navigation a {
        padding: 0.5em 0.7em;
        font-size: 0.9em;
    }

    .opening-hours {
        font-size: 0.7em;
        text-align: center;
    }

    .opening-hours .hours {
        flex-direction: column;
        align-items: center;
    }
}
